function show_cur_mk_button(s,fileName,tixin,win)
{
if(tixin && tixin!='')
{
gid('but_bar').style.display='none';
gid('but_bar2').style.display='';
gid('but_show_okmk').f=fileName;
return;
}
else
{
gid('but_bar').style.display='';
gid('but_bar2').style.display='none';
}
if(!fileName || fileName=='')var fileName=gid('fileName').value
if(!win){win=gf(fileName)};
if(!s){return;}
if(s.length<1)
{
gid('but_bar').style.display='none';
return;
}
var button_id="";
var bt_idStr=s.split(":")[1];
var show_method=s.split(":")[0];
var ot=request("but");
if(ot=="it"||ot=="It"||ot=="i"||ot=="I"||ot=="t"||ot=="T"||ot=="iT"||ot=="IT")
{
show_method=ot;
}
if(show_method.length<1)show_method=gbl("toolButton_defualt_ico")+gbl("toolButton_defualt_text");
if(show_method.length<1)show_method="IT";
var tr=(_gId("tool_bar_tr"))
var right_menu_p=_gId('main_work_menu_right_div').getElementsByTagName('P');
var old_content=gid('but_bar_div1').innerHTML.replace(/ /g,'');
if(!tr || !tr.typ || tr.typ!=show_method || gbl("but_order_by")=="zdy" || old_content=='')
{
var cur_button_str=get_button_str(show_method,bt_idStr);
_gId("but_bar_div1").innerHTML=cur_button_str
tr=(_gId("tool_bar_tr"))
}
var del=(win)?(_gId('del',win)):(false);
var huiShouZhan_yn=(del)?(del.value):(0);
var del_station=",D,C,U,(,";
bt_idStr=","+bt_idStr+",";
for(var i=0;i<tr.cells.length;i++)
{
var td=tr.cells[i];
var p=right_menu_p[i];
var id=","+td.id.replace('butBar_','')+","
if(bt_idStr.indexOf(id)>-1)
{
td.cur_mk='y';
p.cur_mk='y';
if(huiShouZhan_yn==1)
{
td.style.display=(del_station.indexOf(id)>-1)?(''):('none')
p.style.display=(del_station.indexOf(id)>-1)?(''):('none')
}else
{
td.style.display=(del_station.indexOf(id)>-1)?('none'):('')
p.style.display=(del_station.indexOf(id)>-1)?('none'):('')
}
}
else
{
td.cur_mk='n';
td.style.display='none'	
p.cur_mk='n';
p.style.display='none'	
}
}
_gId('but_bar').style.display='';
var par_fn=request("parent_fileName",win);
if (win.document.location.href.indexOf("index.htm")>-1&&par_fn=="")
{
var main_frame=gf(f)
par_fn=request("parent_fileName",main_frame);
}
if (par_fn=="")
{
butAerr()
}else
{
if(gid("butBar_A")&&fileName!="") 
{
gid('frame_blank').src="../"+asp_php+"/execute."+asp_php+"?exe=get_butA_sh&fileName="+fileName
}
}
}
function butAerr()
{
var buts=gid("tool_bar_tr").all("butBar_A")
for(var i=0;i<buts.length;i++)
{
if(buts[i].id=="butBar_A")
{	
buts[i].disabled=true;
}
}
}
function butAok()
{
var buts=gid("tool_bar_tr").all("butBar_A")
for(var i=0;i<buts.length;i++)
{
if(buts[i].id=="butBar_A")
{	
buts[i].disabled=false;
}
}
}
function toolBar_get_pic_position(id,what)
{
var s="";
try
{
s=get_lz_str()+get_zdy_str();
}catch(e){s=get_lz_str()}
s=s.replace(/&#39;/g,"'");
var arr=s.split("<|||>"),big_pic="";
var x="",y="",pic_pos="",sub_arr,j=3;
if(what=="img_x")
{
j=4;
}
for(var i=0;i<arr.length;i++)
{
if(arr[i].length<1)continue;
sub_arr=arr[i].split("<||>");
if(id==sub_arr[0])
{
if(sub_arr[2].indexOf("<|>")>-1&&sub_arr[2]!="")
{
pic_pos=sub_arr[2].split("<|>")[0].split("<.>")[j].split("?")[1];
}
else if(sub_arr[2].indexOf("<|>")==-1&&sub_arr[2]!="")
{
pic_pos=sub_arr[2].split("<.>")[j].split("?")[1];
}
else
{
pic_pos="";
}
if(pic_pos)
{
x=pic_pos.split(",")[0];
y=pic_pos.split(",")[1];
}
}
}
return x+","+y;
}
function get_big_pic(id,what) 
{
var	x;
if(what=="img") 
{
x=3;
}
else if(what=="img_x")
{
x=4;
}
else
{
return "../img/unknown.gif";
}
var s="";
try
{
s=get_lz_str()+get_zdy_str();
}catch(e){s=get_lz_str()}
s=s.replace(/&#39;/g,"'");
var arr=s.split("<|||>"),big_pic="";
for(var i=0;i<arr.length;i++)
{
if(arr[i].length<1)continue;
sub_arr=arr[i].split("<||>");
if(id==sub_arr[0])
{
if(sub_arr[2].indexOf("<|>")>-1&&sub_arr[2]!="")
{
big_pic=sub_arr[2].split("<|>")[0].split("<.>")[x].split("?")[0];
}
else if(sub_arr[2].indexOf("<|>")==-1&&sub_arr[2]!="")
{
big_pic=sub_arr[2].split("<.>")[x].split("?")[0];
}
else
{
big_pic="";
}
}
}
if(big_pic.replace(/ /g,"")=="")big_pic="../img/unknown.gif";
return big_pic;
}
function get_button_str(show_method,cur_buts)
{
if(cur_buts+''=='')return '';
var s="";
try
{
s=get_lz_str()+get_zdy_str();
}catch(e)
{
s=get_lz_str();
}
if(gbl("but_order_by")=="zdy"){s=but_order_by_zdy(s,cur_buts)}
s=s.replace(/&#39;/g,"'");
if(s==""){return;}
var arr=s.split("<|||>");
var sub_arr;
var pic_pos="",x="",y="",x1="",y1="",pic_pos1="";
var main_str="";
var big_but_st="but_64x64";
var big_or_little="big",word_or_no="word";
_gId("but_bar_td2").style.height="65px";
var box_y="0";
var but_tb_sty="style='table-layout:fixed;'";
if(show_method.indexOf("I")>-1)
{
if(show_method.indexOf("t")>-1)
{
_gId("but_bar_td2").style.height="50px";
word_or_no="no";
big_but_st="but_44x44";
box_y=1;
}
else if(show_method.indexOf("T")>-1)
{
_gId("but_bar_td2").style.height="65px";
word_or_no="word";
big_but_st="but_64x64";
box_y=1;
}
else{}
}
else if(show_method.indexOf("i")>-1)
{
but_tb_sty="";
big_or_little="little";
_gId("but_bar_td2").style.height="30px";
box_y=1;
if(show_method.indexOf("t")>-1)
{
word_or_no="no"
}
else if(show_method.indexOf("T")>-1)
{
word_or_no="word"
}
else{}
}
else
{}
var ctbs="<table "+but_tb_sty+"><tr id='tool_bar_tr' typ='"+show_method+"'>"; 
for(var i=0;i<arr.length;i++)
{	
if(arr[i].length<1)continue;
var bt_classID="",bt_className="",pic="",onClick="",onClick1="",wanNeng="",pic1="";
sub_arr=arr[i].split("<||>")
bt_classID=sub_arr[0];
bt_className=sub_arr[1];
var title=bt_className;
pic=get_big_pic(bt_classID,"img");
pic1=get_big_pic(bt_classID,"img_x");
pic_pos=toolBar_get_pic_position(bt_classID,"img");
pic_pos1=toolBar_get_pic_position(bt_classID,"img_x");
if(typeof(pic_pos)!="undefined")
{
x=pic_pos.split(",")[0];
y=pic_pos.split(",")[1];
}
if(typeof(pic_pos1)!="undefined")
{
x1=pic_pos1.split(",")[0];
y1=pic_pos1.split(",")[1];
}
if(sub_arr[2].indexOf("<|>")>-1&&sub_arr[2]!="")
{
var str=sub_arr[2];
str=escape(str);
onClick='onclick=show_child_button(\''+str+'\',window,this,"lb-lt",0,'+box_y+')';
onClick1='onmouseover=show_child_button(\''+str+'\',window,this,"rt-lt",3,0);menu_over(this)';
wanNeng="wanneng_menu=0";
}
else if(sub_arr[2].indexOf("<|>")==-1&&sub_arr[2]!="")
{
onClick="onclick=\""+sub_arr[2].split("<.>")[2]+"\"";
onClick1="onclick=\""+sub_arr[2].split("<.>")[2]+"\" onmouseover=menu_over(this)";
}
else
{
onClick1="onmouseover=menu_over(this)";
onClick="";
}
if(bt_classID=="A" && request("parent_fileName")=='')
{
};
var imgStyle="";
if(word_or_no=="no")
{
bt_className="";
}
var hid_str=" ";
if(big_or_little=="big") 
{	
var hasNext="";
if(sub_arr[2].indexOf("<|>")>-1) 
{ 
hasNext="<u "+wanNeng+"></u>"
}
imgStyle="style='background:url("+pic+") "+x+"px "+y+"px;'";
var big_but=create_big_buts(bt_className,imgStyle,wanNeng,hasNext)
ctbs+="<td id='butBar_"+bt_classID+"' "+hid_str+" onmouseover='but_over(this)' "+onClick+" onmouseout='but_out(this)' class='"+big_but_st+"' title='"+title+"' "+wanNeng+">"+big_but+"</td>";
}
else
{
if(sub_arr[2].indexOf("<|>")>-1) 
{ 
var	bt_className_tool="<u "+wanNeng+">"+bt_className+"</u>";
}
else
{
var bt_className_tool=bt_className;
}
imgStyle="style='background:url("+pic1+") "+x1+"px "+y1+"px;background-repeat:no-repeat;'";
var small_but=create_little_buts(bt_className_tool,imgStyle,wanNeng)
ctbs+="<td "+hid_str+" id='butBar_"+bt_classID+"' class='but_paq' "+wanNeng+" "+onClick+" title='"+title+"'>"+small_but+"</td>";
}
if(sub_arr[2].indexOf("<|>")>-1) 
{ 
var bt_className_right="<i "+wanNeng+">"+bt_className+"</i>";
}
else
{
bt_className_right=bt_className;
}
main_str+="<p "+hid_str+" "+wanNeng+" id='mainrightitem_"+bt_classID+"'><q "+wanNeng+"><a "+onClick1+"   onMouseOut=menu_out(this) "+wanNeng+" ><b "+wanNeng+" style='background:url("+pic1+") "+x1+"px "+y1+"px;background-repeat:no-repeat'>"+bt_className_right+"</b></a></q></p>";
}
ctbs+="</tr></table>";
_gId("main_work_menu_right_div").innerHTML=main_str;
return ctbs;
}
function create_big_buts(name,imgStyle,wanNeng,u)
{
var s="<b "+wanNeng+" "+imgStyle+"></b>"+u+"<div "+wanNeng+">"+name+"</div>";
return s;
}
function create_little_buts(name,imgStyle,wanNeng)
{
var s="<p "+wanNeng+"><q  "+wanNeng+"><a "+wanNeng+" onmouseover=menu_over(this) onmouseout=menu_out(this) ><b "+wanNeng+" "+imgStyle+">"+name+"</b></a></q></p>";
return s;
}
function show_child_button(s,win,obj,dir,x,y)
{
s=unescape(s);
var bt_list=s.split("<|>");
s="";
for(var j=0;j<bt_list.length;j++)
{
var arr1=bt_list[j].split("<.>");
s+=arr1[0]+"<.>"+arr1[1]+"<.>"+arr1[2]+"<.>"+arr1[4]+"<.>0<|>";
}
var arr=win.document.getElementsByTagName("DIV");
for(var i=0;i<arr.length;i++)
{
if(arr[i].id.indexOf("tool_child_btsMenu")>-1)
{
arr[i].removeNode(true);	
}
}
menu(obj,win,set_menu_content('tool_child_btsMenu',s,win,0,'tops.','menu',-3,3,'','<|>','<.>'),x,y,dir)	
}
function but_over(obj)
{
obj.style.backgroundPosition="center center";
}
function but_out(obj)
{
obj.style.backgroundPosition="1000px 1000px";
}
function but_order_by_zdy(s,cus_buts)
{
var arr=s.split("<|||>")
var arr_but=cus_buts.split(",");
var str="",fh="";
for(var i=0;i<arr_but.length;i++)
{
for(var j=0;j<arr.length;j++)
{
if(str!="")fh="<|||>";
if(arr[j].substr(0,1)==arr_but[i])
{
str+=(fh+arr[j]);
continue;
}
}
}
return str;
}